ChangeSet 1.1006.11.18, 2003/03/25 11:15:54-08:00, davem@redhat.com

[PATCH] USB: fix for host controler build

 Moving the HCD drivers under drivers/usb/host in 2.4.x makes
 them not get built statically into the kernel successfully any
 more.


 drivers/usb/Makefile |   12 ++++++++++++
 1 files changed, 12 insertions(+)


diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Thu Mar 27 16:01:42 2003
+++ b/drivers/usb/Makefile	Thu Mar 27 16:01:42 2003
@@ -61,9 +61,21 @@
 endif
 
 subdir-$(CONFIG_USB_EHCI_HCD)	+= host
+
 subdir-$(CONFIG_USB_UHCI_ALT)	+= host
+ifeq ($(CONFIG_USB_UHCI_ALT),y)
+	obj-y += host/uhci.o
+endif
+
 subdir-$(CONFIG_USB_UHCI)	+= host
+ifeq ($(CONFIG_USB_UHCI),y)
+	obj-y += host/usb-uhci.o
+endif
+
 subdir-$(CONFIG_USB_OHCI)	+= host
+ifeq ($(CONFIG_USB_OHCI),y)
+	obj-y += host/usb-ohci.o
+endif
 
 obj-$(CONFIG_USB_MOUSE)		+= usbmouse.o
 obj-$(CONFIG_USB_HID)		+= hid.o
